tbb::strict_ppl::internal::concurrent_queue_rep_base::page Struct Reference

Prefix on a page. More...

`#include <_concurrent_queue_impl.h>`

Inheritance diagram for tbb::strict_ppl::internal::concurrent_queue_rep_base::page:
Collaboration diagram for tbb::strict_ppl::internal::concurrent_queue_rep_base::page:

## Public Attributes

page * | next
uintptr_t | mask

## Detailed Description

Prefix on a page.

Definition at line 80 of file _concurrent_queue_impl.h.

## Member Data Documentation

## mask

uintptr_t tbb::strict_ppl::internal::concurrent_queue_rep_base::page::mask

Definition at line 82 of file _concurrent_queue_impl.h.

Referenced by tbb::strict_ppl::internal::micro_queue< Value >::make_copy().

## next

page* tbb::strict_ppl::internal::concurrent_queue_rep_base::page::next

Definition at line 81 of file _concurrent_queue_impl.h.

Referenced by tbb::strict_ppl::internal::micro_queue< Value >::assign(), tbb::strict_ppl::internal::micro_queue< Value >::invalidate_page_and_rethrow(), tbb::strict_ppl::internal::micro_queue< Value >::make_copy(), and tbb::strict_ppl::internal::micro_queue< Value >::push().

The documentation for this struct was generated from the following file:

- _concurrent_queue_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.